Agents
Deployments
Deployment endpoints have been replaced by agent upserts
The old deployment model is no longer part of the public API.
Use these current surfaces instead:
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Deployment endpoints have been replaced by agent upserts
| Task | Current API |
|---|---|
| Create or update an agent | POST /v1/agents |
| Link a sandbox-backed agent | Include sandbox and executionMode: "in_sandbox" |
| Run an agent | POST /v1/run |
| Deploy local definitions | runtools deploy |
runtools init
runtools sandbox create --name build-runner --template base-ubuntu
runtools deploy
runtools agent run code-assistant "Run the tests"
const result = await rt.agent.run('code-assistant', 'Run the tests.', {
stream: false,
});